> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List appointment calendars

> Use this to find calendar ids before inspecting one with `appointmentCalendars.get` or checking slots with `appointmentCalendars.getAvailability`. Returns calendars in this workspace.



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/appointment-calendars
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - bearerAuth: []
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/appointment-calendars:
    get:
      tags:
        - Appointment Calendars
      summary: List appointment calendars
      description: >-
        Use this to find calendar ids before inspecting one with
        `appointmentCalendars.get` or checking slots with
        `appointmentCalendars.getAvailability`. Returns calendars in this
        workspace.
      operationId: appointmentCalendars.list
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
            default: 1
            description: Page number, starting at 1.
          allowEmptyValue: true
          allowReserved: true
        - name: perPage
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 50
            description: Number of items per page, up to 50.
          allowEmptyValue: true
          allowReserved: true
        - name: search
          in: query
          schema:
            type: string
            description: Case-insensitive substring match against the calendar's name.
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          anyOf:
                            - type: string
                            - type: 'null'
                        active:
                          type: boolean
                        timezone:
                          type: string
                        durationMinutes:
                          type: integer
                          minimum: -2147483648
                          maximum: 2147483647
                        bufferAfterMinutes:
                          anyOf:
                            - type: integer
                              minimum: -2147483648
                              maximum: 2147483647
                            - type: 'null'
                        locationType:
                          enum:
                            - inPerson
                            - phoneCall
                            - onlineMeeting
                          type: string
                        locationDetail:
                          anyOf:
                            - type: string
                            - type: 'null'
                        scheduleWindowType:
                          enum:
                            - rollingDays
                            - dateRange
                            - specificDay
                            - anyFutureDate
                          type: string
                        scheduleWindowConfig:
                          anyOf:
                            - anyOf:
                                - type: string
                                - type: number
                                - type: boolean
                                - type: 'null'
                            - type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            - type: array
                              items:
                                anyOf:
                                  - {}
                                  - type: 'null'
                        maxAppointmentsPerUser:
                          anyOf:
                            - type: integer
                              minimum: -2147483648
                              maximum: 2147483647
                            - type: 'null'
                        dailyLimitEnabled:
                          type: boolean
                        maxPerDay:
                          anyOf:
                            - type: integer
                              minimum: -2147483648
                              maximum: 2147483647
                            - type: 'null'
                        allowGroupMeeting:
                          type: boolean
                        maxPerSlot:
                          anyOf:
                            - type: integer
                              minimum: -2147483648
                              maximum: 2147483647
                            - type: 'null'
                        confirmationMessage:
                          anyOf:
                            - type: string
                            - type: 'null'
                        confirmationFlowId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        cancellationFlowId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        externalConnectionId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        publicLinkSlug:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                          x-native-type: date
                        updatedAt:
                          type: string
                          format: date-time
                          x-native-type: date
                      required:
                        - id
                        - name
                        - description
                        - active
                        - timezone
                        - durationMinutes
                        - bufferAfterMinutes
                        - locationType
                        - locationDetail
                        - scheduleWindowType
                        - scheduleWindowConfig
                        - maxAppointmentsPerUser
                        - dailyLimitEnabled
                        - maxPerDay
                        - allowGroupMeeting
                        - maxPerSlot
                        - confirmationMessage
                        - confirmationFlowId
                        - cancellationFlowId
                        - externalConnectionId
                        - publicLinkSlug
                        - createdAt
                        - updatedAt
                    description: Items on this page.
                  pageCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    description: >-
                      Total number of pages for the requested perPage; stop when
                      page >= pageCount.
                required:
                  - data
                  - pageCount
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: businessError
                      status:
                        const: 400
                      message:
                        type: string
                        default: An error occurred while processing your request
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '401':
          description: '401'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNAUTHORIZED
                      status:
                        const: 401
                      message:
                        type: string
                        default: Authentication required
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INVALID_CHATBOT_TOKEN
                      status:
                        const: 401
                      message:
                        type: string
                        default: Invalid or missing workspace API token
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: FORBIDDEN
                      status:
                        const: 403
                      message:
                        type: string
                        default: You do not have permission to perform this action
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: trialExpired
                      status:
                        const: 403
                      message:
                        type: string
                        default: Trial expired
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: macLimitReached
                      status:
                        const: 403
                      message:
                        type: string
                        default: Monthly active contact limit reached
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: invalidRequestData
                      status:
                        const: 422
                      message:
                        type: string
                        default: Input validation failed
                      data:
                        type: object
                        properties:
                          issues:
                            type: array
                            items:
                              type: object
                              properties:
                                message:
                                  type: string
                                path:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: string
                                      - type: number
                                      - type: object
                                        properties:
                                          key:
                                            anyOf:
                                              - type: string
                                              - type: number
                                        required:
                                          - key
                                        additionalProperties: {}
                              required:
                                - message
                              additionalProperties: {}
                        required:
                          - issues
                        additionalProperties: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: validation
                      status:
                        const: 422
                      message:
                        type: string
                        default: Validation error
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '429':
          description: '429'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: tooManyRequests
                      status:
                        const: 429
                      message:
                        type: string
                        default: Too many requests
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '500':
          description: '500'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INTERNAL_SERVER_ERROR
                      status:
                        const: 500
                      message:
                        type: string
                        default: An unexpected error occurred
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
components:
  schemas:
    UndefinedError:
      type: object
      properties:
        defined:
          const: false
        code:
          type: string
        status:
          type: number
        message:
          type: string
        data: {}
      required:
        - defined
        - code
        - status
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````